#define ADS1100_I2C_WRITE_ADDRESS 0x90
#define ADS1100_I2C_READ_ADDRESS  0x91 


int16 read_ADS1100(void)
{
int8 temp;
int16 result=0;

i2c_start();
i2c_write(ADS1100_I2C_READ_ADDRESS);
result = i2c_read();                   // Read MSB
result = ((result << 8) + i2c_read()); // Read LSB

temp = i2c_read();    // Read Config register

i2c_stop();

return(result);       // Return 16-bit A/D result
}
